Return the list of regions (states or provinces) optionally filtered by Country
curl --request POST \
--url https://{globale_api_domain}/Browsing/Regionsimport requests
url = "https://{globale_api_domain}/Browsing/Regions"
response = requests.post(url)
print(response.text)const options = {method: 'POST'};
fetch('https://{globale_api_domain}/Browsing/Regions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"Region": [
{
"Code": "<string>",
"CountryCode": "<string>",
"Name": "<string>"
}
]
}Regions (Merchant to Global-e)
Returns the list of regions (states or provinces), optionally filtered by country.
POST
/
Browsing
/
Regions
Return the list of regions (states or provinces) optionally filtered by Country
Returns the list of regions (states or provinces) optionally filtered by Country. The list might include only the regions for the countries where specifying a region in address is mandatory ( IsStateMandatory = true).
Query Parameters
2-char ISO country code. If not specified, all the countries supported by the Merchant will be returned
ISO culture code. If specified, the textual properties (i.e. Name) will be returned in the requested culture’s language. Texts in English will be returned by default for the regions where the texts for the requested culture are unavailable or if the cultureCode argument has not been specified
Response
200 - application/json
List of regions (states or provinces).
Returns the list of regions (states or provinces), list of Region objects.
Show child attributes
Show child attributes

